package cn.stylefeng.team.project.modular.maxsort.maxsort;

import cn.stylefeng.roses.kernel.db.api.maxsort.MaxCountConfig;
import cn.stylefeng.roses.kernel.db.api.maxsort.MaxSortCollectorApi;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.Map;

@Service
public class WorkFlowMaxSortFieldConfig implements MaxSortCollectorApi {

    @Override
    public Map<String, MaxCountConfig> createMaxSortConfigs() {
        HashMap<String, MaxCountConfig> stringMaxCountConfigHashMap = new HashMap<>();

        stringMaxCountConfigHashMap.put("DEVOPS_BUSINESS_CATEGORY", new MaxCountConfig("devops_business_category", "fld_sort"));

        stringMaxCountConfigHashMap.put("DEVOPS_BUSINESS", new MaxCountConfig("devops_business", "fld_sort"));

        stringMaxCountConfigHashMap.put("DEVOPS_META_MODEL", new MaxCountConfig("devops_meta_model", "fld_sort"));

        stringMaxCountConfigHashMap.put("DEVOPS_FORM_MODEL", new MaxCountConfig("devops_form_model", "fld_sort"));

        stringMaxCountConfigHashMap.put("DEVOPS_VIEW", new MaxCountConfig("devops_view", "fld_sort"));

        stringMaxCountConfigHashMap.put("DEVOPS_REPORT", new MaxCountConfig("devops_report", "fld_sort"));

        stringMaxCountConfigHashMap.put("FLOW_DESIGN_MODEL", new MaxCountConfig("flow_design_model", "fld_sort"));

        stringMaxCountConfigHashMap.put("FLOW_BUSINESS_LINK", new MaxCountConfig("flow_business_link", "fld_sort"));

        return stringMaxCountConfigHashMap;
    }

}
